LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
FolderListEntry Struct Referencepublished

Information about a single folder in a FolderList. More...

`import"FolderListEntry.idl";`

## Public Attributes
string | Title
| The title of the folder. More...
string | ID
| A (unique) identifier for the folder (used by IMAP, where different folders with equal human-readable titles may exist; otherwise, it may be left empty). More...
boolean | Subscribed
| The folder is subscribed. More...
boolean | New
| The folder is new. More...
boolean | Removed
| The folder has been removed. More...
boolean | Purge
| The folder shall be purged (only used in conjunction with the FolderListCommand::SET). More...

## Detailed Description

Information about a single folder in a FolderList.

## Member Data Documentation

## ◆ ID

string ID

A (unique) identifier for the folder (used by IMAP, where different folders with equal human-readable titles may exist; otherwise, it may be left empty).

## ◆ New

boolean New

The folder is new.

## ◆ Purge

boolean Purge

The folder shall be purged (only used in conjunction with the FolderListCommand::SET).

## ◆ Removed

boolean Removed

The folder has been removed.

## ◆ Subscribed

boolean Subscribed

The folder is subscribed.

## ◆ Title

string Title

The title of the folder.

The documentation for this struct was generated from the following file:

- com/sun/star/ucb/FolderListEntry.idl